### Hierarchy

- DynamicIconProps

### Indexable

[key: string]: any

## Index

### Properties

- component
- name
- size
- source
- type

## Properties

### Optional component

component: React.ComponentType<any> | string

- Defined in components/DynamicIcon/DynamicIcon.tsx:22

Used when type is 'component'. Either a component or a component name (string). In case of string, it will be fetched from Component Registry.

### Optional name

name: undefined | string

- Defined in components/DynamicIcon/DynamicIcon.tsx:28

Used when type is 'icon'. The name prop of the BB.Components.Icon component

### Optional size

size: undefined | number

- Defined in components/DynamicIcon/DynamicIcon.tsx:39

Icon size. Defaults to 100

### Optional source

source: ImageSourcePropType

- Defined in components/DynamicIcon/DynamicIcon.tsx:34

Used when type is 'image'. The image source

### type

type: "component" | "icon" | "image"

- Defined in components/DynamicIcon/DynamicIcon.tsx:15

If value is:

- component: Icon is a custom component, and looks for 'component' prop
- icon: Icon is an instance of BB.Components.Icon and looks for 'icon' prop
- image: Icon is an instance of BB.Components.Image and looks for 'source' prop

Generated using TypeDoc